# mongoc_collection_stats()

## Synopsis

    bool
    mongoc_collection_stats (mongoc_collection_t *collection,
                             const bson_t *options,
                             bson_t *reply,
                             bson_error_t *error) BSON_GNUC_DEPRECATED;

## Deprecated

This helper function is deprecated and should not be used in new code. Run the collStats command directly with mongoc_client_read_command_with_opts() instead.

## Parameters

- `collection`: A mongoc_collection_t.
- `options`: An optional `bson_t` containing extra options to pass to the `collStats` command.
- `reply`: An uninitialized `bson_t` to store the result.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

Run the `collStats` command to retrieve statistics about the collection.

The command uses the mongoc_read_prefs_t set on `collection`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

`reply` is always initialized and must be freed with `bson_destroy()`.